/*
Projet 7  : Alarme sur consigne de Température
www.dirobots.com
*/

// Assignation des entrées / sorties
int pinAlarme=8;
int pinTemperature=0;


float sinVal;            
int toneVal;
unsigned long tempsTimer ;    

void setup(){ 
    pinMode(pinAlarme, OUTPUT);        
    Serial.begin(9600);        
}

void Alarme_En_Marche(){ 
  for(int x=0; x<180; x++){
    sinVal = (sin(x*(3.1412/180)));
    toneVal = 2000+(int(sinVal*1000));
    tone(8, toneVal);
    delay(2); 
  }   
}

void loop(){ 
    int Tension;               
    double Temperature;          
    Tension=analogRead(pinTemperature);          //Mesure de la tension
    Temperature = (double) Tension * (5/10.24);  // conversion de la tension en température
     
    if(Temperature>27)                           // Si la température dépasse 27 degrés, mise en route de l'alarme
        Alarme_En_Marche();
     else                                        // Sinon on coupe l'alarme
        noTone(8);           
    
     
    if(millis() - tempsTimer > 500){              // Affichage de la température sur le moniteur série toutes les 500ms
      tempsTimer = millis();
      Serial.print("Temperature: ");     
      Serial.print(Temperature);              
      Serial.println("C");              
    } 
}

